<?php 

$r=mysql_query( "SELECT id, login, birth, byear from users WHERE  id='{$dbid}'" );
while ( $a = mysql_fetch_array( $r ) )
{
$byear = $a[3];
if ($year>$byear) $age=$year-$byear; 
else  $age="Не известены";
if ((!$age)||($age==0)||($age=="")||($age>$year)) $age="Не известены";
else if (($age==1)||($age==21)||($age==31)||($age==41)||($age==51)) $years = "год";
else if (($age==2)||($age==3)||($age==4)||($age==22)||($age==23)||($age==24)||($age==32)||($age==33)||($age==34)||($age==42)||($age==43)||($age==44)||($age==52)||($age==53)||($age==54))  $years = "года";
else if ($age>60) $age ="Невозможно определить из-за отсутствия даты рождения";
else  $years = "лет";
$age="<i>".$age."</i>\n";
echo"<b>Возраст:</b> ".($age)."$years <br/>";
}
###*/

?>